Settings (Grails 4.0.6)
Date: 2020-12-19

Package: grails.config

## [Groovy] Interface Settings

- Constants for names of settings in Grails

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `AUTO_GROW_COLLECTION_LIMIT`
    `java.lang.String` | `CLASS_RESOURCE_PATTERN` Pattern to use for class scanning
    `java.lang.String` | `CONTROLLERS_DEFAULT_SCOPE` The default scope for controllers
    `java.lang.String` | `CONTROLLERS_UPLOAD_FILE_SIZE_THRESHOLD` The file size threshold
    `java.lang.String` | `CONTROLLERS_UPLOAD_LOCATION` The upload directory for controllers, defaults to java.tmp.dir
    `java.lang.String` | `CONTROLLERS_UPLOAD_MAX_FILE_SIZE` The maximum file size
    `java.lang.String` | `CONTROLLERS_UPLOAD_MAX_REQUEST_SIZE` The maximum request size
    `java.lang.String` | `CONVERT_EMPTY_STRINGS_TO_NULL`
    `java.lang.String` | `DATE_FORMATS`
    `java.lang.String` | `DATE_LENIENT_PARSING`
    `java.lang.String` | `DBCONSOLE_ENABLED` Whether the H2 dbconsole is enabled or not
    `java.lang.String` | `DEFAULT_ENCODING` The default encoding
    `java.lang.String` | `DEFAULT_RESOURCE_PATTERN` The default pattern for static resources
    `java.lang.String` | `DEFAULT_TOMCAT_SERVLET_PATH` The default servlet path
    `java.lang.String` | `DEFAULT_WEB_SERVLET_PATH` '
    `java.lang.String` | `FILTER_ENCODING` The encoding to use for filters, default to UTF-8
    `java.lang.String` | `FILTER_FORCE_ENCODING` The encoding to use for filters, default to UTF-8
    `java.lang.String` | `GORM_AUTOWIRE_INSTANCES` Whether to autowire instances
    `java.lang.String` | `GORM_DEFAULT_CONSTRAINTS` /*.class"
    `java.lang.String` | `GORM_REACTOR_EVENTS` Whether to translate GORM events into reactor events
    `java.lang.String` | `GRAILS_VIEWS_ENABLE_JSESSIONID` Whether to include the jsessionid in the rendered links
    `java.lang.String` | `GSP_DISABLE_CACHING_RESOURCES` Whether to disable caching of resources in GSP
    `java.lang.String` | `GSP_ENABLE_RELOAD` Whether to enable GSP reload in production
    `java.lang.String` | `GSP_VIEWS_DIR` Thew views directory for GSP
    `java.lang.String` | `GSP_VIEW_ENCODING` The encoding to use for GSP views, defaults to UTF-8
    `java.lang.String` | `I18N_CACHE_SECONDS`
    `java.lang.String` | `I18N_FILE_CACHE_SECONDS`
    `java.lang.String` | `MIME_DISABLE_ACCEPT_HEADER_FOR_USER_AGENTS` Which user agents should have accept header processing disabled
    `java.lang.String` | `MIME_DISABLE_ACCEPT_HEADER_FOR_USER_AGENTS_XHR` XHR requests will ignore MIME_DISABLE_ACCEPT_HEADER_FOR_USER_AGENTS by default, enable to override default
    `java.lang.String` | `MIME_TYPES` The configured mime types
    `java.lang.String` | `MIME_USE_ACCEPT_HEADER` Whether to use the accept header for content negotiation
    `java.lang.String` | `PLUGIN_EXCLUDES` Which plugins to exclude from the plugin manager
    `java.lang.String` | `PLUGIN_INCLUDES` Which plugins to include in the plugin manager
    `java.lang.String` | `PROFILE` The active Grails profile
    `java.lang.String` | `RESOURCES_CACHE_PERIOD` The amount of time to cache static resource requests
    `java.lang.String` | `RESOURCES_ENABLED` Whether serving static HTML pages from src/main/resources/public is enabled
    `java.lang.String` | `RESOURCES_PATTERN` The path pattern to serve static resources under
    `java.lang.String` | `SCAFFOLDING_DOMAIN_SUFFIX` The suffix used during scaffolding for the domain
    `java.lang.String` | `SERVER_URL` The URL of the server
    `java.lang.String` | `SETTING_CORS_FILTER` Whether to load cors configuration via a filter (true) or interceptor(false)
    `java.lang.String` | `SETTING_EXCEPTION_RESOLVER_PARAM_EXCLUDES` The parameters to exclude from logging
    `java.lang.String` | `SETTING_LEGACY_JSON_BUILDER` Whether to use the legacy JSON builder
    `java.lang.String` | `SETTING_LOGGING_STACKTRACE_FILTER_CLASS` The class to use for stacktrace filtering.
    `java.lang.String` | `SETTING_LOG_REQUEST_PARAMETERS` Whether to log request parameters in the console
    `java.lang.String` | `SETTING_SKIP_BOOTSTRAP` Whether to execute Bootstrap classes
    `java.lang.String` | `SPRING_BEAN_PACKAGES` Packages to scan for Spring beans
    `java.lang.String` | `SPRING_DISABLE_ASPECTJ` Whether to disable AspectJ explicitly
    `java.lang.String` | `SPRING_PLACEHOLDER_PREFIX` The prefix to use for property placeholders
    `java.lang.String` | `SPRING_TRANSACTION_MANAGEMENT` Whether to enable Spring proxy based transaction management.
    `java.lang.String` | `TRIM_STRINGS`
    `java.lang.String` | `VIEWS_FILTERING_CODEC_FOR_CONTENT_TYPE`
    `java.lang.String` | `WEB_LINK_GENERATOR_USE_CACHE` Whether to cache links generated by the link generator
    `java.lang.String` | `WEB_SERVLET_PATH` The path to the Grails servlet.
    `java.lang.String` | `WEB_URL_CONVERTER` The converter to use for creating URL tokens in URL mapping.

- - ### Property Detail

    - #### java.lang.String AUTO_GROW_COLLECTION_LIMIT

    - #### java.lang.String CLASS_RESOURCE_PATTERN

      Pattern to use for class scanning

    - #### java.lang.String CONTROLLERS_DEFAULT_SCOPE

      The default scope for controllers

    - #### java.lang.String CONTROLLERS_UPLOAD_FILE_SIZE_THRESHOLD

      The file size threshold

    - #### java.lang.String CONTROLLERS_UPLOAD_LOCATION

      The upload directory for controllers, defaults to java.tmp.dir

    - #### java.lang.String CONTROLLERS_UPLOAD_MAX_FILE_SIZE

      The maximum file size

    - #### java.lang.String CONTROLLERS_UPLOAD_MAX_REQUEST_SIZE

      The maximum request size

    - #### java.lang.String CONVERT_EMPTY_STRINGS_TO_NULL

    - #### java.lang.String DATE_FORMATS

    - #### java.lang.String DATE_LENIENT_PARSING

    - #### java.lang.String DBCONSOLE_ENABLED

      Whether the H2 dbconsole is enabled or not

    - #### java.lang.String DEFAULT_ENCODING

      The default encoding

    - #### java.lang.String DEFAULT_RESOURCE_PATTERN

      The default pattern for static resources

    - #### java.lang.String DEFAULT_TOMCAT_SERVLET_PATH

      The default servlet path

    - #### java.lang.String DEFAULT_WEB_SERVLET_PATH

      ' /** The default servlet path

    - #### java.lang.String FILTER_ENCODING

      The encoding to use for filters, default to UTF-8

    - #### java.lang.String FILTER_FORCE_ENCODING

      The encoding to use for filters, default to UTF-8

    - #### java.lang.String GORM_AUTOWIRE_INSTANCES

      Whether to autowire instances

    - #### java.lang.String GORM_DEFAULT_CONSTRAINTS

      /*.class" /** The default configured constraints for the application

    - #### java.lang.String GORM_REACTOR_EVENTS

      Whether to translate GORM events into reactor events

    - #### java.lang.String GRAILS_VIEWS_ENABLE_JSESSIONID

      Whether to include the jsessionid in the rendered links

    - #### java.lang.String GSP_DISABLE_CACHING_RESOURCES

      Whether to disable caching of resources in GSP

    - #### java.lang.String GSP_ENABLE_RELOAD

      Whether to enable GSP reload in production

    - #### java.lang.String GSP_VIEWS_DIR

      Thew views directory for GSP

    - #### java.lang.String GSP_VIEW_ENCODING

      The encoding to use for GSP views, defaults to UTF-8

    - #### java.lang.String I18N_CACHE_SECONDS

    - #### java.lang.String I18N_FILE_CACHE_SECONDS

    - #### java.lang.String MIME_DISABLE_ACCEPT_HEADER_FOR_USER_AGENTS

      Which user agents should have accept header processing disabled

    - #### java.lang.String MIME_DISABLE_ACCEPT_HEADER_FOR_USER_AGENTS_XHR

      XHR requests will ignore MIME_DISABLE_ACCEPT_HEADER_FOR_USER_AGENTS by default, enable to override default

    - #### java.lang.String MIME_TYPES

      The configured mime types

    - #### java.lang.String MIME_USE_ACCEPT_HEADER

      Whether to use the accept header for content negotiation

    - #### java.lang.String PLUGIN_EXCLUDES

      Which plugins to exclude from the plugin manager

    - #### java.lang.String PLUGIN_INCLUDES

      Which plugins to include in the plugin manager

    - #### java.lang.String PROFILE

      The active Grails profile

    - #### java.lang.String RESOURCES_CACHE_PERIOD

      The amount of time to cache static resource requests

    - #### java.lang.String RESOURCES_ENABLED

      Whether serving static HTML pages from src/main/resources/public is enabled

    - #### java.lang.String RESOURCES_PATTERN

      The path pattern to serve static resources under

    - #### java.lang.String SCAFFOLDING_DOMAIN_SUFFIX

      The suffix used during scaffolding for the domain

    - #### java.lang.String SERVER_URL

      The URL of the server

    - #### java.lang.String SETTING_CORS_FILTER

      Whether to load cors configuration via a filter (true) or interceptor(false)

    - #### java.lang.String SETTING_EXCEPTION_RESOLVER_PARAM_EXCLUDES

      The parameters to exclude from logging

    - #### java.lang.String SETTING_LEGACY_JSON_BUILDER

      Whether to use the legacy JSON builder

    - #### java.lang.String SETTING_LOGGING_STACKTRACE_FILTER_CLASS

      The class to use for stacktrace filtering. Should be an instanceof StackTraceFilterer

    - #### java.lang.String SETTING_LOG_REQUEST_PARAMETERS

      Whether to log request parameters in the console

    - #### java.lang.String SETTING_SKIP_BOOTSTRAP

      Whether to execute Bootstrap classes

    - #### java.lang.String SPRING_BEAN_PACKAGES

      Packages to scan for Spring beans

    - #### java.lang.String SPRING_DISABLE_ASPECTJ

      Whether to disable AspectJ explicitly

    - #### java.lang.String SPRING_PLACEHOLDER_PREFIX

      The prefix to use for property placeholders

    - #### java.lang.String SPRING_TRANSACTION_MANAGEMENT

      Whether to enable Spring proxy based transaction management. Since `@Transactional` uses an AST transform, this makes Spring proxy based transaction management redundant. However, if Spring proxies are prefer

    - #### java.lang.String TRIM_STRINGS

    - #### java.lang.String VIEWS_FILTERING_CODEC_FOR_CONTENT_TYPE

    - #### java.lang.String WEB_LINK_GENERATOR_USE_CACHE

      Whether to cache links generated by the link generator

    - #### java.lang.String WEB_SERVLET_PATH

      The path to the Grails servlet. Defaults to '/'

    - #### java.lang.String WEB_URL_CONVERTER

      The converter to use for creating URL tokens in URL mapping. Defaults to camel case.